<?php
class SpecialSemanticOLAP extends SpecialPage {
    function __construct() {
        parent::__construct( 'SemanticOLAP' );
    }
    
    function getGroupName() {
        return 'data-analysis';
    }
    
    function execute( $par ) {
        global $wgOut;
        global $wgScriptPath;
        $request = $this->getRequest();
        $this->setHeaders();
        $html = "
<!DOCTYPE html>
<html>

<head>
    <title>orb</title>
    <script src='http://code.jquery.com/jquery.min.js'></script>
    <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/js/bootstrap.min.js'></script>
    <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/css/bootstrap.min.css' type='text/css'>

    <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/css/orb.min.css' type='text/css'>
    <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/js/react-0.12.2.min.js'></script>
    <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/js/orb.min.js'></script>
    <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/js/bootbox.min.js'></script>

    <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/select2/js/select2.full.min.js'></script>
    <link rel='stylesheet' href='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/select2/css/select2.min.css' />
</head>

<body>
    <div id='splashscreen'>
    <label for='id_label_multipleCategory'>
        Select at least one Category</br>
        <select id='checkboxCategory' class='js-example-basic-multiple' multiple='multiple' style='width: 564px'></select>
    </label></br>
    </br>
    <label for='id_label_multipleProperty'>
        Select at least one Property</br>
        <select id='checkboxProperty' class='js-example-basic-multiple' multiple='multiple' style='width: 564px'><option value='WY'>Wyoming</option></select>
    </label></br>
    </br>
        <button type='button' id='submitProperties'>Submit</button>
    </div>
    <div id='main'>
        <button type='button' id='selectData'>Select Data</button>
        <div id='rr' style='padding: 7px;'></div>
        <div id='export' style='padding: 7px;'></div>
    </div>
    <script type='text/javascript'>

    var config = {
       // dataSource: window.demo.data,
        canMoveFields: true, 
        dataHeadersLocation: 'columns',
        width: 1099,
        height: 611,
        theme: 'blue',
        toolbar: {
            visible: true
        },
        grandTotal: {
            rowsvisible: false,
            columnsvisible: false
        },
        subTotal: {
            visible: true,
            collapsed: true,
            collapsible: true
        },
        rowSettings: {
            subTotal: {
                visible: true,
                collapsed: true,
                collapsible: true
            }
        },
        columnSettings: {
            subTotal: {
                visible: false,
                collapsed: true,
                collapsible: true
            }
        }
    };

    $( document ).ready(function() {
        $('#checkboxCategory').select2({
            placeholder: 'Select a Category'
        });
        $('#checkboxProperty').select2({
            placeholder: 'Select a Property'
        });
        $('#main').hide();
    });
    $('#submitProperties').click(function() {
        //Check
        if ($('#checkboxCategory > :checked').length >= 1 && $('#checkboxProperty > :checked').length >= 1) {
            //Alles gut
            loadSelection();
            $('#splashscreen').fadeOut(500);
            $('#main').show();
        } else {
            //Warnung
            bootbox.alert('Please Select at least one Category and one Property.');
        }
        
    });
    $('#selectData').click(function() {
        $('#main').fadeOut(500);
        $('#splashscreen').show();       
    });
    </script>
    <script type='text/javascript' src='" . $wgScriptPath . "/extensions/SemanticOLAP/includes/js/olapUtility.js'></script>
</body>

</html>

";


        
        
        $wgOut->addHTML($html);
    }

}